ChangeSet 1.1557.58.8, 2004/02/18 13:33:13-08:00, greg@kroah.com

PCI: fix pci quirk for P4B533-V, fixes bug 1720

Thanks to stephanrave@gmx.de (Stephan Rave) for the patch.


 drivers/pci/quirks.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/pci/quirks.c b/drivers/pci/quirks.c
--- a/drivers/pci/quirks.c	Fri Feb 20 10:44:43 2004
+++ b/drivers/pci/quirks.c	Fri Feb 20 10:44:43 2004
@@ -703,9 +703,12 @@
 	    	case 0x8088: /* P4B533 */
 			asus_hides_smbus = 1;
 		}
-	if ((dev->device == PCI_DEVICE_ID_INTEL_82845G_HB) &&
-	    (dev->subsystem_device == 0x80b2)) /* P4PE */
-		asus_hides_smbus = 1;
+	if (dev->device == PCI_DEVICE_ID_INTEL_82845G_HB)
+		switch(dev->subsystem_device) {
+		case 0x80b2: /* P4PE */
+ 		case 0x8093: /* P4B533-V */
+			asus_hides_smbus = 1;
+		}
 	if ((dev->device == PCI_DEVICE_ID_INTEL_82850_HB) &&
 	    (dev->subsystem_device == 0x8030)) /* P4T533 */
 		asus_hides_smbus = 1;
